<!DOCTYPE html>
<!--
-- Copyright (c) 2024 Alexander Exner.
--
-- This file is part of strom
-- (see https://gitlab.com/exner.occupational/strom).
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
-->

<table border="1">

<thead><tr><th>Action Time</th><th>Cover</th><th>Percentage</th><th>X</th></tr></thead>
<tbody>
  {% for cover_key, percentage in cover_schedule.get_my_actions().items() -%}
  <tr>
  <td>{{ cover_key.get_my_datetime().to_short_rel_str(vienna=True) }}</td>
  <td>{{ cover_key.cover.name }}</td>
  <td>{{ percentage }}</td>
  <td><input type="button" onClick="deleteAction('{{ cover_schedule.get_schedule_name() }}', '{{ cover_key.get_my_datetime().isoformat() }}', '{{ cover_key.cover.name }}')" /></td>
  </tr>
  {% endfor %}
</tbody>
</table>
